package basic;

import java.io.InputStream;

public class CONTStatement extends Statement {

  public CONTStatement(LexicalTokenizer lt) {
    super("CONT", false, false, true);
  }

  public Statement doit(Program pgm, InputStream in, BasicPrintStream out) throws BASICRuntimeError {

    Statement s = pgm.getBreakPoint();
    if (s == null) {
      throw new BASICRuntimeError("CAN'T CONTINUE");
    } 
    return s;
  }

  public String unparse() {
    return "CONT";
  }
    public void parse(LexicalTokenizer lt) throws BASICSyntaxError {
  }
}
