package jp.gr.java_conf.sol.basic.mz700;

import java.io.*;
import basic.*;

import jp.gr.java_conf.sol.basic.*;

public class MZ700ProgramListPrintStream extends BasicPrintStream {

  private int fontPage;
  private boolean stack;
  private int stackValue;

  public MZ700ProgramListPrintStream(BasicPrintStream out, Console console) {
    super(out, console);

    fontPage = 0;
    stack = false;
  }


  public void write(BasicString s) {
    if (s == null) {
      return;
    }

    for(int i=0; i<s.length(); i++) {
      write((int)s.charAt(i));
    }
  }

  public void write(int b) {

    if (stack) {
      stack= false;
      super.write(stackValue);
    }

    if (b == 0x15) {// "HOME" code
    }
    
    if (b == 0x16) {//  "CLS" code
    }

    if (b == 0x05) { // to page1
      b = 0x67;
    }
    if (b == 0x06) { // to page0
      b = 0x68;
    }
    super.write(b);
  }
} 
