package basic;

import java.io.*;

import jp.gr.java_conf.sol.basic.*;

public class BasicPrintStream extends FilterOutputStream {

  private Console console;

  public BasicPrintStream(OutputStream out, Console console) {
    super(out);

    this.console = console;
  }

  public Console getConsole() {
    return console;
  }
  
  public void write(BasicString str) {

    try {

      for(int i=0; i<str.length(); i++) {
        super.write(str.getCharAt(i));
      }

    } catch (IOException ex) {
      ex.printStackTrace();
    }
  }
  public void write(String str) {

    try {
      super.write(str.getBytes());
    } catch (IOException ex) {
      ex.printStackTrace();
    }
  }

  public void write(int value) {

    try {
      super.write(value);
    } catch (IOException ex) {
      ex.printStackTrace();
    }
  }

  public void flush() {
    try {
      super.flush();
    } catch(IOException ex) {
      ex.printStackTrace();
    }
  }
}
