package jp.gr.java_conf.sol.basic;

import java.io.*;
import java.net.*;

import basic.*;

public interface Console {

  public void print(CustomCharacter code);
  public void print(byte[] b);
  public void print(String str);
  public void println(String str);

  public void doLF();
  public void doScroll();

  public InputStream getInputStream();
  public OutputStream getOutputStream();

  public void setInterpreter(CommandInterpreter interpreter);

} 
