package jp.gr.java_conf.sol.basic;

class SuspendWaiter extends Thread {

  /**
  * u.d.
  */
  SuspendWaiter() {
    super();
    start();
  }

  /**
  * run method
  */
  public void run() {

    try {
      synchronized(this) {
        System.out.println("start SuspendWaiter wait()");
        this.wait();
        System.out.println("after suspend waiter wait()");
      }
    } catch (InterruptedException ex) {
      ex.printStackTrace();
    }

  }

  /**
  * u.d.
  */
  public synchronized void kill() {
    //System.out.println("kill SuspendWaiter.");
    this.stop();
    this.notify();
  }
}
