package jp.gr.java_conf.sol.basic.mz700;

import java.awt.*;
import java.awt.event.*;

public class DialogLoadingFont extends Dialog {

  Label message;

  public DialogLoadingFont(Frame f) {
    super(f, "Initializing", false);

    setLayout(new FlowLayout());

    message = new Label("init");
    add(message);

    pack();

    moveToCenter();
    setVisible(true);
  }

  public void setProgress(String progress) {
    message.setText(progress);
  }

  void moveToCenter() {

    Component c = getParent();
    Point  p = c.getLocationOnScreen();
    Dimension d = c.getSize();

    // center point
    int cx = p.x + d.width/2;
    int cy = p.y + d.height/2;

    // left-top
    setLocation(cx-this.getSize().width/2, cy-this.getSize().height/2);

  }
} 
