package jp.gr.java_conf.sol.basic.mz700;

import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;

import jp.gr.java_conf.sol.basic.*;

public class MZ700Frame extends Frame implements WindowListener {

  BorderLayout borderLayout1 = new BorderLayout();
  private ConsoleMZ700 console = new ConsoleMZ700();
  private boolean appletMode;
  private Applet applet;
  MenuBar menuBar1 = new MenuBar();
  Menu menu1 = new Menu();
  Menu menu2 = new Menu();
  Menu menu3 = new Menu();
  Menu menu4 = new Menu();
  Menu menu5 = new Menu();
  MenuItem menuItemKeyModeNormal = new MenuItem();
  MenuItem menuItemKeyModeGraph = new MenuItem();
  MenuItem menuItemKeyModeKana = new MenuItem();
  MenuItem menuItemKeyModeHirakana = new MenuItem();
  MenuItem menuItem1 = new MenuItem();
  MenuItem menuItemLoadTape = new MenuItem();
  MenuItem menuItemSaveTape = new MenuItem();
  MenuItem menuItem4 = new MenuItem();
  MenuItem menuItemReset = new MenuItem();
  MenuItem menuItemExit = new MenuItem();
  MenuItem menuItemAbout = new MenuItem();
  MenuItem menuItem101US = new MenuItem();
  Menu menu6 = new Menu();
  MenuItem menuItemSize11 = new MenuItem();
  MenuItem menuItemSize22 = new MenuItem();
  Menu menu7 = new Menu();
  MenuItem menuItemFontJapan = new MenuItem();
  MenuItem menuItem10 = new MenuItem();

  File fontFile;
  URL  fontURL;
  MenuItem menuItemSize33 = new MenuItem();
  MenuItem menuItemSize44 = new MenuItem();

  //t[̍\z
  public MZ700Frame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try  {
      jbInit();

      this.addWindowListener(this);

      pack();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  public void initScreen(File f) throws IOException {
    this.fontFile = f;

    DialogLoadingFont dlog = new DialogLoadingFont(this);
    console.initScreen(fontFile, dlog);
    dlog.dispose();
  }

  public void initScreen(URL f) throws IOException {
    this.fontURL = f;
    DialogLoadingFont dlog = new DialogLoadingFont(this);
    console.initScreen(fontURL, dlog);
    dlog.dispose();
  }

  public ConsoleMZ700 getConsole() {
    return console;
  }

  public void setAppletMode(Applet applet, boolean f) {
    this.applet = applet;
    this.appletMode = f;
  }

  //R|[lg̏
  private void jbInit() throws Exception  {
    this.setLayout(borderLayout1);
    this.setMenuBar(menuBar1);
    this.setTitle("BASIC Frame");
    menu1.setLabel("File");
    menu2.setLabel("Screen");
    menu3.setLabel("Keyboard");
    menu4.setLabel("KeyMode");
    menu5.setLabel("About");
    menuItemKeyModeNormal.setLabel("Normal");
    menuItemKeyModeNormal.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemKeyModeNormal_actionPerformed(e);
      }
    });
    menuItemKeyModeGraph.setLabel("Graph");
    menuItemKeyModeGraph.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemKeyModeGraph_actionPerformed(e);
      }
    });
    menuItemKeyModeKana.setLabel("Kana");
    menuItemKeyModeKana.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemKeyModeKana_actionPerformed(e);
      }
    });
    menuItemKeyModeHirakana.setLabel("Hirakana");
    menuItemKeyModeHirakana.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemKeyModeHirakana_actionPerformed(e);
      }
    });
    menuItem1.setLabel("Open");
    menuItem1.setEnabled(false);
    menuItemLoadTape.setLabel("Set Load Tape");
    menuItemLoadTape.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemLoadTape_actionPerformed(e);
      }
    });
    menuItemSaveTape.setLabel("Set Save Tape");
    menuItemSaveTape.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemSaveTape_actionPerformed(e);
      }
    });
    menuItem4.setLabel("PCG700-Sw");
    menuItem4.setEnabled(false);
    menuItemReset.setLabel("Reset");
    menuItemReset.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemReset_actionPerformed(e);
      }
    });
    menuItemExit.setLabel("Exit");
    menuItemExit.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemExit_actionPerformed(e);
      }
    });
    menuItemAbout.setLabel("About...");
    menuItemAbout.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemAbout_actionPerformed(e);
      }
    });
    menuItem101US.setLabel("101 US");
    menuItem101US.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItem101US_actionPerformed(e);
      }
    });
    menu6.setLabel("Size");
    menuItemSize11.setLabel("1:1");
    menuItemSize11.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemSize_actionPerformed(1);
      }
    });
    menuItemSize22.setLabel("2:2");
    menuItemSize22.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemSize_actionPerformed(2);
      }
    });
    menu7.setLabel("FontSet");
    menu7.setEnabled(false);
    menuItemFontJapan.setLabel("Japan");
    menuItemFontJapan.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemFontJapan_actionPerformed(e);
      }
    });
    menuItem10.setLabel("Europe");
    menuItem10.setEnabled(false);
    menuItemSize33.setLabel("3:3");
    menuItemSize33.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemSize_actionPerformed(3);
      }
    });
    menuItemSize44.setLabel("4:4");
    menuItemSize44.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        menuItemSize_actionPerformed(4);
      }
    });
    
    this.add((Component)console, BorderLayout.CENTER);

    menuBar1.add(menu1);
    menuBar1.add(menu2);
    menuBar1.add(menu3);
    menuBar1.add(menu4);
    menuBar1.add(menu5);
    menu4.add(menuItemKeyModeNormal);
    menu4.add(menuItemKeyModeGraph);
    menu4.add(menuItemKeyModeKana);
    menu4.add(menuItemKeyModeHirakana);
    menu1.add(menuItem1);
    menu1.add(menuItemLoadTape);
    menu1.add(menuItemSaveTape);
    menu1.add(menuItem4);
    menu1.addSeparator();
    menu1.add(menuItemReset);
    menu1.addSeparator();
    menu1.add(menuItemExit);
    menu5.add(menuItemAbout);
    menu3.add(menuItem101US);
    menu2.add(menu6);
    menu2.add(menu7);
    menu6.add(menuItemSize11);
    menu6.add(menuItemSize22);
    menu6.add(menuItemSize33);
    menu6.add(menuItemSize44);
    menu7.add(menuItemFontJapan);
    menu7.add(menuItem10);

    pack();
  }

  //System Close ŏIł悤ɃI[o[Ch
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      this.setVisible(false);
      this.dispose();
      if (!appletMode) {
        System.exit(0);
      }
    }
  }

  void menuItemKeyModeNormal_actionPerformed(ActionEvent e) {
    console.setKeyboardMode(KeyBoard.KEYBOARD_NORMAL);
  }

  void menuItemKeyModeGraph_actionPerformed(ActionEvent e) {
    console.setKeyboardMode(KeyBoard.KEYBOARD_GRAPH);
  }

  void menuItemKeyModeKana_actionPerformed(ActionEvent e) {
    console.setKeyboardMode(KeyBoard.KEYBOARD_KANA);
  }

  void menuItemKeyModeHirakana_actionPerformed(ActionEvent e) {
    console.setKeyboardMode(KeyBoard.KEYBOARD_HIRAKANA);
  }

  void menuItemLoadTape_actionPerformed(ActionEvent e) {

    if (appletMode) {
      AppletFileDialog dlog = new AppletFileDialog(applet, this);
      dlog.setVisible(true);

      URL url = dlog.getURL();
      dlog.dispose();

      if (url != null) {
        System.out.println("url set:"+url);
        Tape.setTape4Load(url);
      }

    } else {
      FileDialog dlog = new FileDialog(this, "Set Tape file - Select file image", FileDialog.LOAD);
      dlog.setVisible(true);

      String path = dlog.getDirectory();
      String name = dlog.getFile();

      dlog.dispose();

      if (name != null) {
        Tape.setTape4Load(path+name);
      }

    }

    console.requestFocus();

  }

  void menuItemSaveTape_actionPerformed(ActionEvent e) {

    FileDialog dlog = new FileDialog(this, "Set Tape file(Save) - Select file image", FileDialog.SAVE);
    dlog.setVisible(true);

    String path = dlog.getDirectory();
    String name = dlog.getFile();

    dlog.dispose();

    if (name != null) {
      Tape.setTape4Save(path+name);
    }
  }

  void menuItemExit_actionPerformed(ActionEvent e) {

    WindowEvent ev = new WindowEvent(this, WindowEvent.WINDOW_CLOSING);
    processWindowEvent(ev);
  }

  void menuItemAbout_actionPerformed(ActionEvent e) {
    DialogAbout dlog = new DialogAbout(this);
    dlog.pack();
    dlog.setVisible(true);
    dlog.dispose();
  }

  void menuItemFontJapan_actionPerformed(ActionEvent e) {
  }

  void menuItemSize_actionPerformed(int size) {
    console.setFontWidth(size*8);
    console.setFontHeight(size*8);

    try {

      DialogLoadingFont dlog = new DialogLoadingFont(this);

      if (this.fontFile != null) {
        console.initScreen(fontFile, dlog);
      } else if (this.fontURL != null) {
        console.initScreen(fontURL, dlog);
      }
      dlog.dispose();

      pack();

    } catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  void menuItem101US_actionPerformed(ActionEvent e) {

  }

  void menuItemReset_actionPerformed(ActionEvent e) {
    console.reset();
  }

  public void windowOpened(WindowEvent e) {
    console.requestFocus();
    //TODO:  java.awt.event.WindowListener \bh;
  }

  public void windowClosing(WindowEvent e) {
    //TODO:  java.awt.event.WindowListener \bh;
  }

  public void windowClosed(WindowEvent e) {
    //TODO:  java.awt.event.WindowListener \bh;
  }

  public void windowIconified(WindowEvent e) {
    //TODO:  java.awt.event.WindowListener \bh;
  }

  public void windowDeiconified(WindowEvent e) {
    console.requestFocus();
    //TODO:  java.awt.event.WindowListener \bh;
  }

  public void windowActivated(WindowEvent e) {
    console.requestFocus();
    //TODO:  java.awt.event.WindowListener \bh;
  }

  public void windowDeactivated(WindowEvent e) {
    //TODO:  java.awt.event.WindowListener \bh;
  }


}

