package jp.gr.java_conf.sol.basic.mz700;

import java.awt.*;
import jp.gr.java_conf.sol.basic.*;

public class ScreenBufferMZ700 extends ScreenBuffer {

  private ConsoleMZ700 console;

  public ScreenBufferMZ700(ConsoleMZ700 c, int width, int height, int initialValue) {

    super(width, height, initialValue);
     this.console = c;
  }

  public CustomCharacter createCharacter(int value) {
    return createCharacter(value, 0);
  }

  public CustomCharacter createCharacter(int value, int page) {

    int fgColor = MZ700Character.COLOR_WHITE;
    int bgColor = MZ700Character.COLOR_BLUE;

    if (console != null) {
      fgColor = MZ700Character.getColorIndex(console.getForeground());
      bgColor = MZ700Character.getColorIndex(console.getBackground());
    }
    return new MZ700Character(value,0, fgColor, bgColor);
  }
} 
